Resend recipient verification email
curl --request POST \
--url https://api-sandbox.circle.com/v1/addressBook/recipients/{id}/verification/resend \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/addressBook/recipients/{id}/verification/resend"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/addressBook/recipients/{id}/verification/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Resend recipient verification email
Resends the verification email for a self-hosted wallet address book recipient.
This endpoint is only available for Singapore (CIRCLE_SG) entities. The recipient must have ownership.custody.type of self_hosted and be in pending_verification status.
Returns error code 2046 (VERIFICATION_ADDRESS_STATE_INVALID) if the address is not in pending_verification state.
POST
/
v1
/
addressBook
/
recipients
/
{id}
/
verification
/
resend
Resend recipient verification email
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Response
Successfully resent the verification email.
Was this page helpful?